Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc
Class XmlRpcException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xmlrpc.XmlRpcException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TimingOutCallback.TimeoutException, XmlRpcClientException, XmlRpcExtensionException, XmlRpcHttpTransportException, XmlRpcInvocationException, XmlRpcLoadException, XmlRpcNoSuchHandlerException, XmlRpcNotAuthorizedException

    public class XmlRpcException

extends java.lang.Exception

This exception is thrown by the XmlRpcClient, if an invocation of the remote method failed. Failure may have two reasons: The invocation failed on the remote side (for example, an exception was thrown within the server) or the communication with the server failed. The latter is indicated by throwing an instance of `XmlRpcClientException`.

See Also:
  Serialized Form

Field Summary
`int` | `code` The fault code of the exception.
`java.lang.Throwable` | `linkedException` If the transport was able to catch a remote exception (as is the case, if the local transport is used or if extensions are enabled and the server returned a serialized exception), then this field contains the trapped exception.

Constructor Summary
`XmlRpcException(int pCode, java.lang.String pMessage)` Creates a new instance with the given error code and error message.
`XmlRpcException(int pCode, java.lang.String pMessage, java.lang.Throwable pLinkedException)` Creates a new instance with the given error code, error message and cause.
`XmlRpcException(java.lang.String pMessage)` Creates a new instance with the given error message and error code 0.
`XmlRpcException(java.lang.String pMessage, java.lang.Throwable pLinkedException)` Creates a new instance with the given error message and cause.

Method Summary
`java.lang.Throwable` | `getCause()`
`void` | `printStackTrace(java.io.PrintStream pStream)`
`void` | `printStackTrace(java.io.PrintWriter pWriter)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public final int code

  The fault code of the exception. For servers based on this library, this will always be 0. (If there are predefined error codes, they should be in the XML-RPC spec.)

### linkedException

    public final java.lang.Throwable linkedException

  If the transport was able to catch a remote exception (as is the case, if the local transport is used or if extensions are enabled and the server returned a serialized exception), then this field contains the trapped exception.

Constructor Detail

### XmlRpcException

    public XmlRpcException(int pCode,
                           java.lang.String pMessage)

  Creates a new instance with the given error code and error message.

  Parameters:
    `pCode` - Error code.
    `pMessage` - Detail message.

### XmlRpcException

    public XmlRpcException(java.lang.String pMessage,
                           java.lang.Throwable pLinkedException)

  Creates a new instance with the given error message and cause.

  Parameters:
    `pMessage` - Detail message.
    `pLinkedException` - The errors cause.

### XmlRpcException

    public XmlRpcException(java.lang.String pMessage)

  Creates a new instance with the given error message and error code 0.

  Parameters:
    `pMessage` - Detail message.

### XmlRpcException

    public XmlRpcException(int pCode,
                           java.lang.String pMessage,
                           java.lang.Throwable pLinkedException)

  Creates a new instance with the given error code, error message and cause.

  Parameters:
    `pCode` - Error code.
    `pMessage` - Detail message.
    `pLinkedException` - The errors cause.

Method Detail

### printStackTrace

    public void printStackTrace(java.io.PrintStream pStream)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pWriter)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.